Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1910893

Summary: Review Request: hakrawler - Web crawler for the discovery of endpoints and assets
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-06 00:45:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1910877, 1910890    
Bug Blocks: 201449, 563471    

Description Fabian Affolter 2020-12-25 12:21:14 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/hakrawler.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/hakrawler-0-0.1.20201224gite39a514.fc33.src.rpm

Project URL: https://github.com/hakluke/hakrawler

Description:
Simple, fast web crawler designed for easy, quick discovery of endpoints and
assets within a web application.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint hakrawler-0-0.1.20201224gite39a514.fc33.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint hakrawler*
hakrawler.x86_64: W: no-manual-page-for-binary hakrawler
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2021-03-08 10:17:30 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Package Review 2022-03-06 09:34:16 UTC
Package was never imported.
The ticket status is being reset, since creating the repository will require a fresh approval.
Let us know if you're still interested in this package.

Comment 3 Package Review 2022-04-06 00:45:33 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.